Subject: Re: bug#55343: Add support for 32bit UEFI
From: Mathieu Othacehe <[email-masked]>
To: Timothy Sample <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, Maxime Devos <[email-masked]>, Denis 'GNUtoo' Carikli <[email-masked]>, [email-masked]
Date: Fri, 24 Jun 2022 10:23:54 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey,

>   This way we could get rid of the grub-efi32 package and rely only on
>   the grub-efi package. We would need to come up with something
>   similar for the aarch64-linux Grub package I guess.

I tried to do that, turns out Grub doesn't have support for building
modules for multiple architectures in a single pass. You need to call
configure and make for each architecture. Having a dedicated grub-efi32
doesn't seem so bad after all.

I pushed the patchset, thanks!

Mathieu